import { request } from '@/utils/request'

/**
 *
 * @param payload agentApplicationInfo 应用参数
 * @returns 新建或更新应用
 */
export function fetchSaveAgentApplication<T>(payload: object) {
  return request.post<T>('/agentApplicationInfoRest/saveOrUpdate.json', payload)
}

/**
 *
 * @param payload 查询参数
 * @returns 获取应用列表
 */
export function fetchGetApplicationList<T>(payload: object) {
  return request.post<T>('/agentApplicationInfoRest/getListByMember.json', payload)
}

/**
 *
 * @param payload agentId 应用Id
 * @returns 通过agentId删除应用
 */
export function fetchDeleteApplication<T>(agentId: string) {
  return request.post<T>(`/agentApplicationInfoRest/delete.json?agentId=${agentId}`)
}

/**
 *
 * @param payload agentId 应用Id
 * @returns 通过agentId获取调试应用详情
 */
export function fetchGetDebugApplicationInfo<T>(agentId: string) {
  return request.post<T>(`/agentApplicationInfoRest/getInfo.json?agentId=${agentId}`)
}

/**
 *
 * @param payload agentId 应用Id
 * @returns 通过agentId获取发布应用详情
 */
export function fetchGetApplicationInfo<T>(agentId: string) {
  return request.post<T>(`/agentApplicationRest/getInfo.json?agentId=${agentId}`)
}

/**
 *
 * @param payload payload 应用参数
 * @returns 发布应用
 */
export function fetchPublishApplication<T>(payload: object) {
  return request.post<T>('/agentApplicationInfoRest/updateAndPublish.json', payload)
}

/**
 * @returns 获取大模型列表
 */
export function fetchGetLargeModelList<T>() {
  return request.post<T>('/agentApplicationInfoRest/getLargeModelList.json')
}

/**
 * * @param agentId 应用Id
 * @returns 创建会话Id
 */
export function fetchCreateDialogues<T>(agentId: string) {
  return request.post<T>(`/agentApplicationRest/createDialogues.json?agentId=${agentId}`)
}
